<template>
   <div class="row">
      <div class="col-12 p-3 px-1 subreddit-list text-secondary">
        Selected subreddits: [
        <span class="text-danger remove-button" 
        v-for="(subreddit, i) in subreddits" v-bind:key="i + subreddit" 
        @click="removeSubreddit(subreddit)">{{subreddit}} 
        <i v-show="(i >= 0 && i < subreddits.length - 1)">,</i>
        
        </span>
        <i  v-show="subreddits.length < 1">Use the search to add subreddits</i>
        ]
      </div>
    </div>
</template>

<script>
import {eventBus} from '../main'
export default {
  name: 'SubredditList',
  props: ['subreddits'],
  data () {
    return {
    }
  },
  methods: {
    removeSubreddit (subreddit) {
      eventBus.$emit('deleteSubreddit', {subreddit})
    }
  }
}
</script>


<style lang="scss">
@import "../styles/components/subredditList";
</style>